package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/4 15:49
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BookAuthCodeUserVO implements Serializable {

    @ApiModelProperty("授权码认证用户")
    private Integer codeUserCount;

    @ApiModelProperty("支付授权金用户")
    private Integer payUserCount;

    @ApiModelProperty("总使用数")
    private Integer totalCount;

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getCodeUserCount() {
        return codeUserCount;
    }

    public void setCodeUserCount(Integer codeUserCount) {
        this.codeUserCount = codeUserCount;
    }

    public Integer getPayUserCount() {
        return payUserCount;
    }

    public void setPayUserCount(Integer payUserCount) {
        this.payUserCount = payUserCount;
    }

    @Override
    public String toString() {
        return "BookAuthCodeUserVO{" +
                "codeUserCount=" + codeUserCount +
                ", payUserCount=" + payUserCount +
                ", totalCount=" + totalCount +
                '}';
    }
}
